#pragma once

namespace HidDevice
{
	enum UsbKeys
	{
		None = 0x00,
		A = 0x04,
		B = 0x05,
		C = 0x06,
		D = 0x07,
		E = 0x08,
		F = 0x09,
		G = 0x0A,
		H = 0x0B,
		I = 0x0C,
		J = 0x0D,
		K = 0x0E,
		L = 0x0F,
		M = 0x10,
		N = 0x11,
		O = 0x12,
		P = 0x13,
		Q = 0x14,
		R = 0x15,
		S = 0x16,
		T = 0x17,
		U = 0x18,
		V = 0x19,
		W = 0x1A,
		X = 0x1B,
		Y = 0x1C,
		Z = 0x1D,
		D1 = 0x1E,
		D2 = 0x1F,
		D3 = 0x20,
		D4 = 0x21,
		D5 = 0x22,
		D6 = 0x23,
		D7 = 0x24,
		D8 = 0x25,
		D9 = 0x26,
		D0 = 0x27,
		Enter = 0x28,
		Escape = 0x29,
		Backspace = 0x2A,
		Tab = 0x2B,
		Space = 0x2C,
		Minus = 0x2D,
		Equal = 0x2E,
		SquareBracketLeft = 0x2F,
		SquareBracketRight = 0x30,
		Backslash = 0x31,
		NonUSNumber = 0x32,
		Semicolon = 0x33,
		AccentRight = 0x34,
		AccentLeft = 0x35,
		Comma = 0x36,
		Dot = 0x37,
		Slash = 0x38,
		CapsLock = 0x39,
		F1 = 0x3A,
		F2 = 0x3B,
		F3 = 0x3C,
		F4 = 0x3D,
		F5 = 0x3E,
		F6 = 0x3F,
		F7 = 0x40,
		F8 = 0x41,
		F9 = 0x42,
		F10 = 0x43,
		F11 = 0x44,
		F12 = 0x45,
		PrintScreen = 0x46,
		ScrollLock = 0x47,
		Pause = 0x48,
		Insert = 0x49,
		Home = 0x4A,
		PageUp = 0x4B,
		Delete = 0x4C,
		End = 0x4D,
		PageDown = 0x4E,
		RightArrow = 0x4F,
		LeftArrow = 0x50,
		DownArrow = 0x51,
		UpArrow = 0x52,
		NumLock = 0x53,
		KeypadSlash = 0x54,
		KeypadAsterisk = 0x55,
		KeypadDash = 0x56,
		KeypadPlus = 0x57,
		KeypadEnter = 0x58,
		Keypad1 = 0x59,
		Keypad2 = 0x5A,
		Keypad3 = 0x5B,
		Keypad4 = 0x5C,
		Keypad5 = 0x5D,
		Keypad6 = 0x5E,
		Keypad7 = 0x5F,
		Keypad8 = 0x60,
		Keypad9 = 0x61,
		Keypad0 = 0x62,
		KeypadDot = 0x63,
		NonUSSlash = 0x64,
		App = 0x65,
		KeyboardPower = 0x66,
		KeypadEqual = 0x67,
		F13 = 0x68,
		F14 = 0x69,
		F15 = 0x6A,
		F16 = 0x6B,
		F17 = 0x6C,
		F18 = 0x6D,
		F19 = 0x6E,
		F20 = 0x6F,
		F21 = 0x70,
		F22 = 0x71,
		F23 = 0x72,
		F24 = 0x73,
		Execute = 0x74,
		Help = 0x75,
		Menu = 0x76,
		Select = 0x77,
		Stop = 0x78,
		Again = 0x79,
		Undo = 0x7A,
		Cut = 0x7B,
		Copy = 0x7C,
		Paste = 0x7D,
		Find = 0x7E,
		Mute = 0x7F,
		VolumeUp = 0x80,
		VolumeDown = 0x81,
		LockingCapsLock = 0x82,
		LockingNumLock = 0x83,
		LockingScrollLock = 0x84,
		KeypadComma = 0x85,
		EqualSign = 0x86,
		International1 = 0x87,
		International2 = 0x88,
		International3 = 0x89,
		International4 = 0x8A,
		International5 = 0x8B,
		International6 = 0x8C,
		International7 = 0x8D,
		International8 = 0x8E,
		International9 = 0x8F,
		Language1 = 0x90,
		Language2 = 0x91,
		Language3 = 0x92,
		Language4 = 0x93,
		Language5 = 0x94,
		Language6 = 0x95,
		Language7 = 0x96,
		Language8 = 0x97,
		Language9 = 0x98,
		AlternateErase = 0x99,
		SysReqAttention = 0x9A,
		Cancel = 0x9B,
		Clear = 0x9C,
		Prior = 0x9D,
		Return = 0x9E,
		Separator = 0x9F,
		Out = 0xA0,
		Oper = 0xA1,
		ClearAgain = 0xA2,
		CrSelProps = 0xA3,
		ExSel = 0xA4,

		LeftControl = 0xE0,
		LeftShift = 0xE1,
		LeftAlt = 0xE2,
		LeftGUI = 0xE3,
		RightControl = 0xE4,
		RightShift = 0xE5,
		RightAlt = 0xE6,
		RightGUI = 0xE7,
	};
}
